package com.liquidnet.common.third.xuper.dto;

import lombok.Data;

import java.io.Serializable;

/**
 * @author AnJiabin <anjiabin@zhengzai.tv>
 * @version V1.0
 * @Description: 获取访问BOS临时STS凭证
 * @class: Xuper001GetStokenReqDto
 * @Package com.liquidnet.common.third.xuper.dto
 * @Copyright: LightNet @ Copyright (c) 2022
 * @date 2022/4/18 15:10
 */
@Data
public class XuperUploadFileReqDto implements Serializable {
    /**
     * 助记词
     */
    private String mnemonic;
    private String fileName;
    private String filePath;
    private byte[] dataByte;
    private String property;

    private static final XuperUploadFileReqDto obj = new XuperUploadFileReqDto();
    public static XuperUploadFileReqDto getNew() {
        try {
            return (XuperUploadFileReqDto) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new XuperUploadFileReqDto();
        }
    }
}
